Subject: [os2genau_digest] No. 1940
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Tue, 13 Apr 2010 00:00:54 EST-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Monday 12 April 2010
 Number  1940
**************************************************

Subjects for today
 
1  Re:  eCUPS : Alan Duval <amoht at westnet dot com dot au>
2  Re:  eCUPS : Alan Duval <amoht at westnet dot com dot au>
3  Re:  eCUPS : paul at smedley dot id dot au
4  Re:  eCUPS : Ed Durrant <edurrant at durrant dot mine dot nu>
5  Re:  eCUPS + GA release date : Michael/Gail Peters" <mandgpeters at bigpond dot com>
6  Re:  eCUPS : Alan Duval <amoht at westnet dot com dot au>
7  Re:  eCUPS : Paul Smedley <paul at smedley dot id dot au>
8  Re:  eCUPS : david shearer <dsh43871 at bigpond dot net dot au>
9  Re:  eCUPS : Peter Moylan <peter at pmoylan dot org>

**= Email   1 ==========================**

Date:  Mon, 12 Apr 2010 10:30:28 +1100
From:  Alan Duval <amoht at westnet dot com dot au>
Subject:  Re:  eCUPS

Thanks Paul. I didn't see that "How to" in svn dot netlabs dot org. Today the 
printer test page was printing it's output on only 1/2 of the width of 
the A4 sheet but full length. This also happened with pages from my word 
processor. I changed the set printer options to "Expand (Use maximum 
page area)" and changed resolution to 150X150 dpi as the color wheel has 
a black central area decreasing in density to about 2/3 the distance to 
the wheels circumference. The radial lines don't print properly either. 
However print comes out OK so if I want to print images in color I'll 
have to go to Ubuntu.

I have used The HP Officejet Pro 1175C - CUPS + Gutenprint v5.2.4 driver 
as there is none for the HP Officejet Pro K5300 printer although Ubuntu 
found a driver for it. All HP printers have the "CUPS + Gutenprint 
v5.2.4" driver so don't know whether it is tuned for each model or just 
a generic driver.

I followed your instructions re the "hplip" driver but couldn't find the 
K5300 driver.
 
In a month's time this computer and printer will be going to my office 
where I'll be using Ubuntu. I'll then get out an Epson Color Stylus 680 
parallel port printer that I bought years ago and install it to my other 
PC. I hope I can get a driver for it.

Regards,

Alan

Paul Smedley wrote:
> Hi Alan,
>
> On 11/04/10 7:11 PM, Alan Duval wrote:
>>> Has cupsd.exe been started? I think the .wpi adds it to startup - did
>>> you reboot after installing? If not, you can load it manually by
>>> double clicking the object.
>> Had rebooted but cupsd.exe hadn't been added to startup. Double clicked
>> it and was able to open http://localhost:631 in Firefox and as my HP
>> Officejet Pro K5300 wasn't listed with the Officejet Pro's and all of
>> them had the driver 'CUPS + Gutenprint" assigned, I chose the latest
>> Officejet Pro and installed it's driver. I was able to print a test page
>> but the color wheel has a lot of black in the centre. Print otherwise is
>> good.
>> My problem now: How do I get my word processor to use this driver?
>
> You need to setup a printer using the ecups printer driver, and using 
> the ecups port driver -this is convered in the howto at svn dot netlabs/ecups
>
>>> Given that you're using a HP - you may also want to download my port
>>> of hplip which iirc i added to http://svn dot netlabs dot org/ecups
>>>
>>> Hope this helps,
>>>
>>> Paul
>>>
>> If I download hplip, where do I install it?
> Unzip into the root of the driver where cups is already, then go to 
> http://localhost:631 again - and rerun the 'add printer' part - most 
> likely the specific printer model will be there.
>
> There is also an OS/2 ecups-hp printer driver available - but some 
> options to select resolution & print quality are currently missing 
> from the driver - I still need to figure out why...
>
> Cheers,
>
> Paul
> --------------------------------------------------
> 
> http://www./melbpc/  -  The Melbourne OS/2 SIG
===
>

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   2 ==========================**

Date:  Mon, 12 Apr 2010 13:14:56 +1100
From:  Alan Duval <amoht at westnet dot com dot au>
Subject:  Re:  eCUPS

Paul Smedley wrote:
> Given that you're using a HP - you may also want to download my port
>>> of hplip which iirc i added to http://svn dot netlabs dot org/ecups
>>>
>>> Hope this helps,
>>>
>>> Paul
>>>
>> If I download hplip, where do I install it?
> Unzip into the root of the driver where cups is already, then go to 
> http://localhost:631 again - and rerun the 'add printer' part - most 
> likely the specific printer model will be there.
>
> There is also an OS/2 ecups-hp printer driver available - but some 
> options to select resolution & print quality are currently missing 
> from the driver - I still need to figure out why...

I downloaded your port of hplip and unzipped it to C: where cups is. I 
find that the drivers are in C:\cups\share\ppd\HP and the driver 
"hp_officejet_pro_K5300.ppd.gz"  is there but it doesn't seem to show 
when I rerun the 'add printer' part in http://localhost:631.
I'd like to install this driver as the  HP Officejet Pro 1175C - CUPS + 
Gutenprint v5.2.4  driver isn't ideal.
Should the *.ppd.gz file be unpacked further with tar gz?

Regards,

Alan

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   3 ==========================**

Date:  Mon, 12 Apr 2010 03:33:01 +0000
From:  paul at smedley dot id dot au
Subject:  Re:  eCUPS

Hi Alan,

Quoting "Alan Duval" <amoht at westnet dot com dot au>:
> I downloaded your port of hplip and unzipped it to C: where cups is.  
> I find that the drivers are in C:\cups\share\ppd\HP and the driver  
> "hp_officejet_pro_K5300.ppd.gz"  is there but it doesn't seem to  
> show when I rerun the 'add printer' part in http://localhost:631.
I think this path is wrong.... At work right now, but from memory it  
should be in:
\cups\share\cups\model\hp\*.ppd.gz

Cheers,

Paul

----------------------------------------------------------------
This message was sent using IMP, the Internet Messaging Program.

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   4 ==========================**

Date:  Mon, 12 Apr 2010 13:46:03 +1000
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  eCUPS

Alan Duval wrote:
>
> In a month's time this computer and printer will be going to my office 
> where I'll be using Ubuntu. I'll then get out an Epson Color Stylus 
> 680 parallel port printer that I bought years ago and install it to my 
> other PC. I hope I can get a driver for it.
>
> Regards,
>
> Alan
>
There's a native OS/2 driver for the Epson Stylus Color 680 as I ran it 
for many, many years. If you can't find it (it's the epsomni5 I think) 
send me a PM and I'll e-mail it to you.

-- 
Cheers/2

Ed

Please checkout my podcasts at:
http://eComStationAustralia.podbean dot com or via iTunes
To subscribe - click this: http://eComStationAustralia.podbean dot com/feed

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   5 ==========================**

Date:  Mon, 12 Apr 2010 15:45:30 +1000
From:  "Michael/Gail Peters" <mandgpeters at bigpond dot com>
Subject:  Re:  eCUPS + GA release date

Ed,

Thanks for reporting the GA release date on your podcast. Boy, what a 
wait...

Mike

--------------------------------------------------
From: "Ed Durrant" <edurrant at durrant dot mine dot nu>
Sent: Sunday, April 11, 2010 9:37 PM
To: <os2genau at os2 dot org dot au>
Subject: Re:  eCUPS

>
> Please checkout my podcasts at:
> http://eComStationAustralia.podbean dot com or via iTunes
> To subscribe - click this: http://eComStationAustralia.podbean dot com/feed
>
> --------------------------------------------------
> 
> http://www./melbpc/  -  The Melbourne OS/2 SIG
=== 

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   6 ==========================**

Date:  Mon, 12 Apr 2010 18:59:48 +1100
From:  Alan Duval <amoht at westnet dot com dot au>
Subject:  Re:  eCUPS

paul at smedley dot id dot au wrote:
> Hi Alan,
>
> Quoting "Alan Duval" <amoht at westnet dot com dot au>:
>> I downloaded your port of hplip and unzipped it to C: where cups is. 
>> I find that the drivers are in C:\cups\share\ppd\HP and the driver 
>> "hp_officejet_pro_K5300.ppd.gz"  is there but it doesn't seem to show 
>> when I rerun the 'add printer' part in http://localhost:631.
> I think this path is wrong.... At work right now, but from memory it 
> should be in:
> \cups\share\cups\model\hp\*.ppd.gz

I copied the HP folder to the path you suggested and the driver now 
shows in the list of printers displayed in the localhost:631 screen.
Hence I deleted the previous printer and added a printer with the HP 
driver but test page doesn't print. Error line 
"\cups\lib\cups\filter\hpcups.exe failed" is displayed in the 
localhost:631 screen. I didn't change anything in eCS so don't know 
whether I should have deleted the printer in eCs also.

Regards,

Alan
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   7 ==========================**

Date:  Mon, 12 Apr 2010 19:02:21 +0845
From:  Paul Smedley <paul at smedley dot id dot au>
Subject:  Re:  eCUPS

Hi Alan,

On 12/04/10 16:44, Alan Duval wrote:
> paul at smedley dot id dot au wrote:
>> Hi Alan,
>>
>> Quoting "Alan Duval" <amoht at westnet dot com dot au>:
>>> I downloaded your port of hplip and unzipped it to C: where cups is.
>>> I find that the drivers are in C:\cups\share\ppd\HP and the driver
>>> "hp_officejet_pro_K5300.ppd.gz" is there but it doesn't seem to show
>>> when I rerun the 'add printer' part in http://localhost:631.
>> I think this path is wrong.... At work right now, but from memory it
>> should be in:
>> \cups\share\cups\model\hp\*.ppd.gz
>
> I copied the HP folder to the path you suggested and the driver now
> shows in the list of printers displayed in the localhost:631 screen.
> Hence I deleted the previous printer and added a printer with the HP
> driver but test page doesn't print. Error line
> "\cups\lib\cups\filter\hpcups.exe failed" is displayed in the
> localhost:631 screen. I didn't change anything in eCS so don't know
> whether I should have deleted the printer in eCs also.

Try printing a real document - the test print probably failed due to 
missing resolution option - long story - related to the missing 
resolution/print quality options in the hplip ppd files that I mentioned 
earlier.

Cheers,

Paul
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   8 ==========================**

Date:  Mon, 12 Apr 2010 21:35:21 +1000
From:  david shearer <dsh43871 at bigpond dot net dot au>
Subject:  Re:  eCUPS

Paul Smedley wrote:
> Hi Alan,
>
> On 12/04/10 16:44, Alan Duval wrote:
>> paul at smedley dot id dot au wrote:
>>> Hi Alan,
>>>
>>> Quoting "Alan Duval" <amoht at westnet dot com dot au>:
>>>> I downloaded your port of hplip and unzipped it to C: where cups is.
>>>> I find that the drivers are in C:\cups\share\ppd\HP and the driver
>>>> "hp_officejet_pro_K5300.ppd.gz" is there but it doesn't seem to show
>>>> when I rerun the 'add printer' part in http://localhost:631.
>>> I think this path is wrong.... At work right now, but from memory it
>>> should be in:
>>> \cups\share\cups\model\hp\*.ppd.gz
>>
>> I copied the HP folder to the path you suggested and the driver now
>> shows in the list of printers displayed in the localhost:631 screen.
>> Hence I deleted the previous printer and added a printer with the HP
>> driver but test page doesn't print. Error line
>> "\cups\lib\cups\filter\hpcups.exe failed" is displayed in the
>> localhost:631 screen. I didn't change anything in eCS so don't know
>> whether I should have deleted the printer in eCs also.
>
> Try printing a real document - the test print probably failed due to 
> missing resolution option - long story - related to the missing 
> resolution/print quality options in the hplip ppd files that I 
> mentioned earlier.
>
> Cheers,
>
> Paul
> --------------------------------------------------
> 
> http://www./melbpc/  -  The Melbourne OS/2 SIG
===
>
For what its worth I have a HP Officejet pro 5400dtn - network printer.  
It works flawlessly with eCups and hplib.  there is a bit of fiddling 
around but eventually got it to work including with a print object.

david
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   9 ==========================**

Date:  Mon, 12 Apr 2010 23:37:46 +1000
From:  Peter Moylan <peter at pmoylan dot org>
Subject:  Re:  eCUPS

david shearer wrote:
> For what its worth I have a HP Officejet pro 5400dtn - network
> printer.  It works flawlessly with eCups and hplib.  there is a bit
> of fiddling around but eventually got it to work including with a
> print object.
>
My experience: Cups works once you have it set up, but the installation
is somewhat tricky, and you have to follow the "how to do it"
instructions really closely. There are some counter-intuitive
requirements,  for example that the "gs" and "gutenprint" directories
must both be at the top level of the directory tree. (And must be on the
system partition? I've forgotten, but certainly they ended up on the C:
drive on my system, and normally I don't let anything install on the
system drive unless it is so crippled that it won't work on other
drives.) What we really need a WarpIn script to automate those
less-than-obvious details. Any volunteers? I'm not volunteering myself,
because I still haven't understood Warpin well enough to be able to
design a Warpin script for my own software.

In my case, I ended up getting no use out of it, because it turned out
that the only printer I had that it worked for was an HP 880C Deskjet,
which already has perfectly good OS/2 drivers. I had really intended to
use it for a newer Brother printer, but from Paul's comments it seems
that Brother printers will never be supported. (I bought Brother in the
first place because I thought that they weren't locked in with
Microsoft, but I was wrong; apparently they're not going to release
enough information to allow non-Windows drivers to be developed.)
Nevertheless, it was an interesting exercise proving to myself that Cups
did indeed work.

Meanwhile, the HP printer is out of ink again, and I've finally decided
that I've spent far more on refilling ink cartridges than the printer is
worth. Time to get a laser printer. The really basic (but quite
adequate) black-and-white laser printers have become really cheap -
recently Dick Smith was selling quite a good one for less than $100. 
I'm leaning myself towards the idea of a laser printer with a wireless
network interface - to the best of my knowledge these all work with
OS/2, although I've never put it to the test - so that my Windows laptop
will also finally be able to print without the annoying overhead of
having to transport the laptop over to where the Brother printer is. The
Brother printer can go back to being a scanner and photocopier (it used
to be a fax machine as well, but a lightning strike took care of that),
and as a printer for the very rare cases where colour printing is desirable.

I have never really understood why a network printer requires drivers on
every machine that wants to use the printer. In my mind it should be
sufficient to have a "generic network printer" driver on all machines,
plus a manufacturer-specific driver _only_ on the machine that the
printer is directly connected to. The fact that we can't do this says to
me that someone really screwed up the design of OS support for printers.
But I'll give full credit to the Postscript designers; they came closest
to implementing this ideal.

-- 
Peter Moylan                          peter at pmoylan dot org
                                      http://www.pmoylan dot org

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===